proxy: Allow audio stream outside of container
ClosedPublic

Authored by stefanzzz on Jul 21 2017, 5:52 PM.

Details

Summary

Allows using supported audio streams even if they are not inside
a container.

Fixes T7756.

Diff Detail

Repository
rPTV Pitivi
stefanzzz created this revision.Jul 21 2017, 5:52 PM
thiblahute requested changes to this revision.Jul 21 2017, 5:58 PM

Please add a simple unit test also.

pitivi/utils/proxy.py
105

Have a global variable holding that, and reuse L93

147

Should only be 1 audio stream here.

This revision now requires changes to proceed.Jul 21 2017, 5:58 PM
aleb added a comment.Jul 21 2017, 6:06 PM

Can you please add a small mp3 and a unit test? @thiblahute added very recently something you can reuse.

pitivi/utils/proxy.py
147

What do you mean?

thiblahute added a comment.EditedJul 21 2017, 6:09 PM
This comment has been deleted.
pitivi/utils/proxy.py
147

We should not anyhow have several streams here.

aleb added a comment.Jul 21 2017, 6:09 PM

Hm, maybe not very recently, but it looks simple ;)

def testTranscoding(self):
    self.runCheckImport(["30fps_numeroted_frames_red.mkv"])
aleb added a comment.Jul 21 2017, 6:15 PM

Hm, I'm not thinking straight today

stefanzzz updated this revision to Diff 6103.Jul 21 2017, 6:33 PM

Added unit test + required changes.

stefanzzz marked 4 inline comments as done.Jul 21 2017, 6:34 PM
aleb requested changes to this revision.Jul 25 2017, 10:21 PM

Looks good! Just a minor request.

pitivi/utils/proxy.py
99

WHITELIST_AUDIO_CAPS

Maybe also move the container and video caps into similar constants, if you think it looks better.

tests/test_media_library.py
221

yay :)

This revision now requires changes to proceed.Jul 25 2017, 10:21 PM
stefanzzz updated this revision to Diff 6119.Jul 26 2017, 8:33 AM

Made requested change.

stefanzzz marked an inline comment as done.Jul 26 2017, 8:34 AM
stefanzzz updated this revision to Diff 6120.Jul 26 2017, 8:36 AM

Minor change.

aleb accepted this revision.Jul 26 2017, 8:52 AM

Looks good, thanks! I'll merge it later after running the tests.

This revision is now accepted and ready to land.Jul 26 2017, 8:52 AM
This revision was automatically updated to reflect the committed changes.